<?php
namespace Teknisa\CTB\Factories;

use Doctrine\ORM\EntityManager;

class Ger08000ContadorFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function verificaCdContador($params) {
        $sql = "SELECT 1 FROM CONTADOR WHERE CDCONTADOR2 = :CDCONTADOR2 AND NRORG = :NRORG";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetch();
    }
}
