function Ctb68000_RecalculoSaldosGerenciais_Service(ErrorFrontend, Ctb68000_RecalculoSaldosGerenciais_Repository){
    
    function checkSaldoRow(row){
        if(isEmpty(row.CDEMPRESA)){
            return ErrorFrontend.regectedPromiseFieldEmpty('CDEMPRESA');
        }
        else{
            if(isEmpty(row.DTSALDO)){
                return ErrorFrontend.regectedPromiseFieldEmpty('DTSALDO');
            }
        }
        return null;
    }
    
    function isEmpty(value){
        return (value === undefined || value === null);
    }
    
    this.recalcularSaldo = function(row){
        var promise = checkSaldoRow(row);
        if(promise === null){
            return Ctb68000_RecalculoSaldosGerenciais_Repository.recalcularSaldo(row);
        }
        else{
            return promise;
        }
    };
    
    this.validatePeriodoContabil = function(row){
        var promise = checkSaldoRow(row);
        if(promise === null){
            return Ctb68000_RecalculoSaldosGerenciais_Repository.validatePeriodoContabil(row);
        }
        else{
            return promise;
        }
    };
    
}

Configuration(function(ContextRegister) {
    ContextRegister.register("Ctb68000_RecalculoSaldosGerenciais_Service", Ctb68000_RecalculoSaldosGerenciais_Service);
});