function auditoresIndependentes() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Contábil', 'Auditores Independentes']);
		geral.esperarLoading();
		element(by.css(`#NMAUDITOR .zh-icon-close-x`)).isPresent()
			.then((bool) => {
				if (bool) {
					protractorHelper.click(element(by.css(`#NMAUDITOR .zh-icon-close-x`)));
				}
				z.component.footer.clickRightActionByLabel('Filtrar', true);
			});
	};

	this.adicionar = (nome, registroCVM) => {
		geral.clickAndFillFields('NMAUDITOR', nome,
			'DSREGISTROCVM', registroCVM);
	};

	this.adicionarEmpresaRelacionada = (razaoSocial) => {
		geral.searchAndClickGridField('NMRAZSOCEMPR', razaoSocial);
	};

	this.editar = (nome, registroCVM) => {
		geral.fillFields('NMAUDITOR', nome,
			'DSREGISTROCVM', registroCVM);
	};
}
module.exports = new auditoresIndependentes();
